#Calendar implementation for the HTWK Leipzig timetable. Evaluation and display of the individual dates in iCal format.
#Copyright (C) 2024 HTWKalender support@htwkalender.de

#This program is free software: you can redistribute it and/or modify
#it under the terms of the GNU Affero General Public License as published by
#the Free Software Foundation, either version 3 of the License, or
#(at your option) any later version.

#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU Affero General Public License for more details.

#You should have received a copy of the GNU Affero General Public License
#along with this program.  If not, see <https://www.gnu.org/licenses/>.

worker_processes  4;

error_log  /opt/bitnami/nginx/logs/error.log;
pid        /opt/bitnami/nginx/tmp/nginx.pid;

events {
    worker_connections  1024;
}

http {
    include       mime.types;
    default_type  application/octet-stream;

    log_format anonymized '[$time_local] "$request" $status $body_bytes_sent "$http_referer"';

    access_log  /opt/bitnami/nginx/logs/proxy_access.log anonymized;
    error_log   /opt/bitnami/nginx/logs/proxy_error.log error;

    sendfile        on;
    keepalive_timeout  180s;
    send_timeout 180s;

    client_body_temp_path /opt/bitnami/nginx/tmp/client_temp;
    proxy_temp_path       /opt/bitnami/nginx/tmp/proxy_temp_path;
    fastcgi_temp_path     /opt/bitnami/nginx/tmp/fastcgi_temp;
    uwsgi_temp_path       /opt/bitnami/nginx/tmp/uwsgi_temp;
    scgi_temp_path        /opt/bitnami/nginx/tmp/scgi_temp;

    server {
        listen       8000;
        listen  [::]:8000;
        server_name  localhost;

        location / {
            root   /opt/bitnami/nginx/html;
            index  index.html index.htm;

            #necessary to display vue subpage
            try_files $uri $uri.html $uri/ /index.html;
        }
        error_page   500 502 503 504  /50x.html;
        location = /50x.html {
            root   /opt/bitnami/nginx/html;
        }
    }
}
